// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0
import QtWebKit 1.0
import com.nokia.meego 1.0

Rectangle {
    id: rectangle1
    width: 480
    height: 854
    color:"#333333"

    StatusBar {
        id: statusbar1
        height: 30
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0
        anchors.top: parent.top
        anchors.topMargin: 0
        }

    Rectangle{
        id: rectangle2
        color:"#ffffff"
        anchors.bottom: toolbar.top
        anchors.bottomMargin: 10
        anchors.top: statusbar1.bottom
        anchors.topMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0

    Flickable{
        contentHeight: 1200
        contentWidth: parent.width
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 5
        anchors.top: parent.top
        anchors.topMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0

    WebView {
        id: web_view1
        anchors.fill: parent
        url: "about.html"
    }
    }
    }
    Rectangle {
       id: toolbar
       anchors.right: parent.right
       anchors.rightMargin: 2
       anchors.left: parent.left
       anchors.leftMargin: 2
       anchors.bottom: parent.bottom
       anchors.bottomMargin: 0
       opacity: 1
       height:60
       color: "#000000"
       border.color: "#ffffff"
       z: 1

       Rectangle {
           id: back
           width:parent.height
           color: "#000000"
           anchors.left: parent.left
           anchors.leftMargin: 2
           anchors.bottom: parent.bottom
           anchors.bottomMargin: 3
           anchors.top: parent.top
           anchors.topMargin: 3

           Image {
               id: backicon
               anchors.fill: parent
               fillMode: Image.PreserveAspectFit
               source: "icons/back.svg"
           }

           MouseArea {
               id: back_mouse_area
               anchors.leftMargin: 0
               anchors.fill: parent
               onClicked: {
                   pageStack.pop();
               }
       }
       }

       Rectangle {
           id: homerect
           width: 50
           color: "#000000"
           anchors.bottom: parent.bottom
           anchors.bottomMargin: 2
           anchors.top: parent.top
           anchors.topMargin: 2
           anchors.right: parent.right
           anchors.rightMargin: 2

           Image {
               id: homeicon
               fillMode: Image.PreserveAspectFit
               anchors.fill: parent
               source: "icons/home.svg"
           }

           MouseArea {
               id: home_mouse_area
               anchors.fill: parent
               onClicked: {
               pageStack.push(mappage);
               }

           }

       }


   }


}
