// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0
import com.nokia.meego 1.0
import QtMobility.contacts 1.1

Page {
    id:contactListPage
    width: 480
    height: 854
    property string msg:""
    property string msgtime:""
    property string itstype:"SMS"


    function setType(thetype){
    itstype = thetype;
    }

    function setMsgData(message,time){
    msg = message;
    msgtime = time;
    }

ContactModel  {
    id : contactsmodel
    sortOrders: [
            SortOrder {
               detail:ContactDetail.Name
               field:Name.FirstName
               direction:Qt.AscendingOrder
            }
         ]
}

Rectangle {
    id: contactListMain
    width: parent.width
    height: parent.height
    color:"#333333"


    Component {
        id: contactDelegate
        Rectangle {
            id: contactDelegateRectangle
            height: sicon.height * 1.5 + blueline.height
            width: parent.width
            color: "#000000"
            Rectangle {
                id: blueline
                width: parent.width-30
                height: 1
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.top: parent.top
                color: "#ffffff"
            }

            Image {
            id: sicon
            source:thumbnail
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: 10
            }
            Column{
            id:leftcol
            anchors.left: sicon.right
            anchors.leftMargin: 10
            anchors.verticalCenter: parent.verticalCenter
            spacing:5
            Text {
                id: contactDelegateName
                font.family: "Tahoma"
                font.pixelSize: 12
                color: "#ffffff"
                text: "<b>" + name.firstName +" "+ name.lastName + "</b>"
            }
            Text {
                id: contactDelegateText
                font.family: "Tahoma"
                font.pixelSize: 12
                color: "#ffffff"
                text: "<b>" + "Mobile" + "</b>" + " " + phoneNumber.number

            }
            }


            MouseArea {
                anchors.fill: parent
                onClicked: {

                    if(itstype==="SMS"){
                    sendpage.setPhone(phoneNumber.number);
                    pageStack.push(sendpage);
                    }
                    if(itstype==="EMail"){
                    sendpage.setPhone(email.emailAddress);
                    pageStack.push(sendpage);
                    }

                }
            }

        }
    }

    ListView {
        id: contactlist
        anchors.bottomMargin: 0
        anchors.top: statusbar1.bottom
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.topMargin: 2
        model: contactsmodel.contacts
        delegate: contactDelegate
    }


    StatusBar {
        id: statusbar1
        height: 30
        anchors.top: parent.top
        anchors.topMargin: 0
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0
    }

    Rectangle {
        id: toolbar
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 0
        opacity: 1
        height:60
        color: "#000000"

        Rectangle {
            id: back
            width:parent.height
            color: "#000000"
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 3
            anchors.top: parent.top
            anchors.topMargin: 3

            Image {
                id: backicon
                width:parent.height
                anchors.left: parent.left
                anchors.leftMargin: 0
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 0
                anchors.top: parent.top
                anchors.topMargin: 0
                fillMode: Image.PreserveAspectFit
                source: "icons/back.svg"
            }

            MouseArea {
                id: back_mouse_area
                anchors.fill: parent
                onClicked: {
                    pageStack.pop();
                }
        }
        }

}
}
}
