// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0
import com.nokia.meego 1.0


Rectangle {
    id: favouriteListMain
    width: 480
    height: 854
    color: "#b3f3a5"
    border.color: "#1fc60d"
    property int selectedfavouritesNumber: -1
    function findFavourites() {
        var db = openDatabaseSync("GlanceDB", "1.0", "History", 1000000);

        db.transaction(
        function(tx) {
        tx.executeSql('CREATE TABLE IF NOT EXISTS Favourites(favname TEXT, url TEXT)');
        var rs = tx.executeSql('SELECT * FROM Favourites');

        var r = ""
        favouritesModel.clear();
        for(var i = 0; i < rs.rows.length; i++) {
        favouritesModel.append({"favouritesNumber":(i+4),"favouritesName": rs.rows.item(i).favname,"favouritesIcon":"icons/favorite.png","url":rs.rows.item(i).url})
        }

        }
        )
        }

    ListModel {
        id: favouritesModel
//        ListElement {
//            favouritesNumber: 1
//            favouritesName: "Magadi Road"
//            favouritesIcon: "icons/favorite.png"
//            url:"http://www.tuvitu.com"
//        }

//        ListElement {
//            favouritesNumber: 2
//            favouritesName: "Kijabe St"
//            favouritesIcon: "icons/favorite.png"
//            url:"http://www.tuvitu.com"
//        }
//        ListElement {
//            favouritesNumber: 3
//            favouritesName: "KICC"
//            favouritesIcon: "icons/favorite.png"
//            url:"http://www.tuvitu.com"
//        }


    }

    Component {
        id: favouritesDelegate
        Rectangle {
            id: favouritesDelegateRectangle
            height: sicon.height * 1.5 + blueline.height
            width: parent.width
            color: "#b3f3a5"
            Rectangle {
                id: blueline
                width: parent.width-30
                height: 1
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.top: parent.top
                color: "#ffffff"
            }
            Image {
            id: sicon
            source:favouritesIcon
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: 10
            }

            Text {
                id: favouritesDelegateText
                font.family: "Tahoma"
                font.pixelSize: 16
                color: "#000000"
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: sicon.right
                anchors.leftMargin: 10
                text: "<b>" + favouritesName + "</b>"
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                selectedfavouritesNumber = favouritesNumber;
                    gmappage.setUrl(url);
                    pageStack.push(gmappage);

                }
            }
            states: [
                State {
                    name: "selected"
                    when: (favouritesNumber==selectedfavouritesNumber)
                    PropertyChanges {target: favouritesDelegateRectangle; color: "#ff9900"}
                }
            ]
        }
    }

    ListView {
        id: favouritelist
        anchors.bottomMargin: 0
        anchors.top: rectangle1.bottom
        anchors.right: parent.right
        anchors.bottom: toolbar.top
        anchors.left: parent.left
        anchors.topMargin: 0
        model: favouritesModel
        delegate: favouritesDelegate
    }

    Rectangle {
       id: toolbar
       anchors.right: parent.right
       anchors.rightMargin: 2
       anchors.left: parent.left
       anchors.leftMargin: 2
       anchors.bottom: parent.bottom
       anchors.bottomMargin: 0
       opacity: 1
       height:60
       color: "#000000"
       border.color: "#ffffff"
       z: 1

       Rectangle {
           id: back
           width:parent.height
           color: "#000000"
           anchors.left: parent.left
           anchors.leftMargin: 2
           anchors.bottom: parent.bottom
           anchors.bottomMargin: 3
           anchors.top: parent.top
           anchors.topMargin: 3

           Image {
               id: backicon
               anchors.fill: parent
               fillMode: Image.PreserveAspectFit
               source: "icons/back.svg"
           }

           MouseArea {
               id: back_mouse_area
               anchors.leftMargin: 0
               anchors.fill: parent
               onClicked: {
                   pageStack.pop();
               }
       }
       }

       Rectangle {
           id: homerect
           width: 50
           color: "#000000"
           anchors.bottom: parent.bottom
           anchors.bottomMargin: 2
           anchors.top: parent.top
           anchors.topMargin: 2
           anchors.right: parent.right
           anchors.rightMargin: 2

           Image {
               id: homeicon
               fillMode: Image.PreserveAspectFit
               anchors.fill: parent
               source: "icons/home.svg"
           }

           MouseArea {
               id: home_mouse_area
               anchors.fill: parent
               onClicked: {
               pageStack.push(mappage);
               }

           }

       }


   }

StatusBar {
    id: statusbar1
    height: 40
    anchors.right: parent.right
    anchors.rightMargin: 0
    anchors.left: parent.left
    anchors.leftMargin: 0
    anchors.top: parent.top
    anchors.topMargin: 0
}

Rectangle{
    id: rectangle1
    anchors.top: statusbar1.bottom
    anchors.topMargin: 0
    anchors.right: parent.right
    anchors.rightMargin: 0
    anchors.left: parent.left
    anchors.leftMargin: 0
    height:text1.height
    color: "#1fc60d"


Text {
    id: text1
    color: "#ffffff"
    text: qsTr("Favourites")
    anchors.left: parent.left
    anchors.leftMargin: 5
    font.bold: true
    font.family: "Tahoma"
    font.pixelSize: 18
}
}
}
