// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0
import QtMobility.gallery 1.1
import com.nokia.meego 1.0

Rectangle {
    id: rectangle1
    width: 480
    height: 854
    color:"#000000"
    property string source

    function setSource(itsource){
        source=itsource;
    }

    GridView {
        id: contactgridview
        width:parent.width
        height: 567
        anchors.bottomMargin: 0
        anchors.top: statusbar1.bottom
        anchors.right: parent.right
        anchors.bottom: toolbar.top
        anchors.left: parent.left
        anchors.topMargin: 0
        boundsBehavior: Flickable.StopAtBounds
        cellHeight: 120
        cellWidth: 120

        delegate: Item {
            width: 120
            height: 120
            Rectangle {
                id: contactrect
                state:"NORMAL"
                width: 120
                height: 120
                color: "#000000"
                border.width: 0
                border.color: "#000000"
                Rectangle {
                    id: imagerect
                    color: "#000000"
                    border.width: 6
                    border.color: "#ffffff"
                    anchors.right: parent.right
                    anchors.rightMargin: 4
                    anchors.left: parent.left
                    anchors.leftMargin: 4
                    anchors.bottom: parent.bottom
                    anchors.bottomMargin: 20
                    anchors.top: parent.top
                    anchors.topMargin: 4

                    Image {
                        id: photo
                        fillMode: Image.PreserveAspectFit
                        anchors.right: parent.right
                        anchors.rightMargin: 5
                        anchors.left: parent.left
                        anchors.leftMargin: 5
                        anchors.bottom: parent.bottom
                        anchors.bottomMargin: 5
                        anchors.top: parent.top
                        anchors.topMargin: 5
                        source: url
                    }
                }


            }


                MouseArea {
                    id: gridMouseArea
                    anchors.fill: parent
                    onClicked: {
                        editdetails.setUrl(url);
                        pageStack.push(editdetails);
                    }

                }

                states: [
                         State {
                             name: "NORMAL"
                             PropertyChanges { target: contactrect; border.color: "#000000"}
                               },
                         State {
                             name: "FOCUS"
                             PropertyChanges { target: contactrect; border.color: "#ff9900"}
                               }
                ]


        }
        model: DocumentGalleryModel {
                 rootType: DocumentGallery.Image
                 properties: ["url"]

             }
        }

        StatusBar {
            id: statusbar1
            height: 40
            anchors.right: parent.right
            anchors.rightMargin: 0
            anchors.left: parent.left
            anchors.leftMargin: 0
            anchors.top: parent.top
            anchors.topMargin: 0
        }

        Rectangle {
           id: toolbar
           anchors.right: parent.right
           anchors.rightMargin: 2
           anchors.left: parent.left
           anchors.leftMargin: 2
           anchors.bottom: parent.bottom
           anchors.bottomMargin: 0
           opacity: 1
           height:60
           color: "#000000"
           border.color: "#ffffff"
           z: 1

           Rectangle {
               id: back
               width:parent.height
               color: "#000000"
               anchors.left: parent.left
               anchors.leftMargin: 2
               anchors.bottom: parent.bottom
               anchors.bottomMargin: 3
               anchors.top: parent.top
               anchors.topMargin: 3

               Image {
                   id: backicon
                   anchors.fill: parent
                   fillMode: Image.PreserveAspectFit
                   source: "icons/back.svg"
               }

               MouseArea {
                   id: back_mouse_area
                   anchors.leftMargin: 0
                   anchors.fill: parent
                   onClicked: {
                       pageStack.pop();
                   }
           }
           }

           Rectangle {
               id: homerect
               width: 50
               color: "#000000"
               anchors.bottom: parent.bottom
               anchors.bottomMargin: 2
               anchors.top: parent.top
               anchors.topMargin: 2
               anchors.right: parent.right
               anchors.rightMargin: 2

               Image {
                   id: homeicon
                   fillMode: Image.PreserveAspectFit
                   anchors.fill: parent
                   source: "icons/home.svg"
               }

               MouseArea {
                   id: home_mouse_area
                   anchors.fill: parent
                   onClicked: {
                   pageStack.push(mappage);
                   }

               }

           }


       }
}
