// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0

Rectangle {
    id: historyelement
    property string title
    property string address
    property string time
    width:480
    height:140


    Rectangle {
        id :toprect
        height:(parent.height/3)-2
        color: "#333333"
        anchors.top: parent.top
        anchors.topMargin: 1
        anchors.rightMargin: 1
        border.color: "#333333"
        anchors.left: parent.left
        anchors.right: parent.right
        Text{
            color: "#ffffff"
            text:title
            font.bold: false
            font.pixelSize: 14
            font.family: "Tahoma"
            anchors.verticalCenterOffset: 0
            anchors.left: parent.left
            anchors.leftMargin: 5
            anchors.verticalCenter: parent.verticalCenter
        }
    }

    Rectangle {
        id :topline
        height:1
        color:"#ffffff"
        anchors.top: toprect.bottom
        anchors.topMargin: 1
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0
    }


    Rectangle {
        id :midrect
        height:(parent.height/3)-1
        color: "#333333"
        border.color: "#000000"
        anchors.top: topline.bottom
        anchors.topMargin: 0
        anchors.right: parent.right
        anchors.rightMargin: 1
        anchors.left: parent.left
        anchors.leftMargin: 0

        Rectangle {
            id:sentaddress
            width: parent.width/2
            color: "#333333"
            radius: 2
            anchors.left: parent.left
            anchors.leftMargin: 5
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 3
            anchors.top: parent.top
            anchors.topMargin: 3

            Text{
                color: "#ffffff"
                text:address
                font.pixelSize: 8
                anchors.left: image1.right
                anchors.leftMargin: 0
                anchors.verticalCenter: parent.verticalCenter
                font.bold: false
                font.family: "Tahoma"
            }

            Image{
                id: image1
                fillMode: Image.PreserveAspectFit
                anchors.verticalCenter: parent.verticalCenter
                source:"icons/mobile.png"
            }

        }

        Rectangle {
            id:lastviewed
            color: "#333333"
            radius: 3
            anchors.left: sentaddress.right
            anchors.leftMargin: 5
            anchors.right: parent.right
            anchors.rightMargin: 5
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 3
            anchors.top: parent.top
            anchors.topMargin: 3

            Text{
                id:lastviewtitle
                width: parent.width
                height: parent.height/2
                color: "#ffffff"
                text:"Last viewed"
                horizontalAlignment: Text.AlignRight
                anchors.right: parent.right
                anchors.rightMargin: 0
                anchors.top: parent.top
                anchors.topMargin: 3
                font.bold: false
                font.pixelSize: 8
                font.family: "Tahoma"
            }

            Text{
                width: parent.width
                height: parent.height/2
                color: "#ffffff"
                text:time
                horizontalAlignment: Text.AlignRight
                anchors.right: parent.right
                anchors.rightMargin: 0
                anchors.top: lastviewtitle.bottom
                anchors.topMargin: 3
                font.bold: false
                font.pixelSize: 8
                font.family: "Tahoma"
            }
        }
    }

    Rectangle {
        id :midline
        height:1
        color:"#ffffff"
        anchors.top: midrect.bottom
        anchors.topMargin: 0
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0
    }

    Rectangle {
        id :botrect
        height: (parent.height/3)-2
        color: "#333333"
        anchors.top: midline.bottom
        anchors.topMargin: 0
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0

        Rectangle {
            id:resendbutton
            width: parent.width/2
            color: "#666666"
            radius: 5
            anchors.left: parent.left
            anchors.leftMargin: 5
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 3
            anchors.top: parent.top
            anchors.topMargin: 3

            Text{
                color: "#ffffff"
                text:"Resend"
                font.bold: true
                font.family: "Tahoma"
                font.pixelSize: 12
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.verticalCenter: parent.verticalCenter
            }

        }

        Rectangle {
            id:deletebutton
            color: "#666666"
            radius: 5
            anchors.left: resendbutton.right
            anchors.leftMargin: 5
            anchors.right: parent.right
            anchors.rightMargin: 5
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 3
            anchors.top: parent.top
            anchors.topMargin: 3

            Text{
                color: "#ffffff"
                text:"Delete"
                font.bold: true
                font.pixelSize: 12
                font.family: "Tahoma"
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.verticalCenter: parent.verticalCenter
            }

        }

    }
}
