// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0
import com.nokia.meego 1.0

Page{
    width: 480
    height: 854
    property string hstring
    property string dialogtext

    function findHistory() {
        var db = openDatabaseSync("GlanceDB", "1.0", "Glance!", 1000000);

        db.transaction(
        function(tx) {
        tx.executeSql('CREATE TABLE IF NOT EXISTS History(histid TEXT, hstype TEXT, hsaddr TEXT,hdate TEXT, url TEXT)');
        var rs = tx.executeSql('SELECT * FROM History');

        var r = ""
        historyModel.clear();
        for(var i = 0; i < rs.rows.length; i++) {        
        historyModel.append({"name": rs.rows.item(i).hstype,"sentto":rs.rows.item(i).hsaddr,"lastview":rs.rows.item(i).hdate,"url":rs.rows.item(i).url})
        }
        hstring = r
        }
        )
    }

    function deleteHistory(url) {
        var db = openDatabaseSync("GlanceDB", "1.0", "History", 1000000);

        db.transaction(
        function(tx) {

                        var rs = tx.executeSql('Delete FROM History where url="' + url +'"');


        }
        )
    }


Rectangle {
id: rectangle1
width: parent.width
height:parent.height
color: "#b3f3a5"
border.width: 2
border.color: "#666666"

StatusBar {
    id: statusbar1
    height: 40
    anchors.right: parent.right
    anchors.rightMargin: 0
    anchors.left: parent.left
    anchors.leftMargin: 0
    anchors.top: parent.top
    anchors.topMargin: 0
}

ListView {
    id: list_view1
    anchors.bottom: toolbar.top
    anchors.bottomMargin: 0
    width:parent.width
    anchors.top: rectangle2.bottom
    anchors.topMargin: 0
    anchors.right: parent.right
    anchors.rightMargin: 5
    anchors.left: parent.left
    anchors.leftMargin: 5
    delegate: Item {
        width:parent.width
        height: 120
        Rectangle {
            id: historyelement
            width:parent.width
            height:parent.height


            Rectangle {
                id :toprect
                height:(parent.height/3)-2
                color: "#333333"
                anchors.top: parent.top
                anchors.topMargin: 1
                anchors.rightMargin: 1
                border.color: "#333333"
                anchors.left: parent.left
                anchors.right: parent.right
                Text{
                    color: "#ffffff"
                    text:name
                    font.bold: false
                    font.pixelSize: 14
                    font.family: "Tahoma"
                    anchors.verticalCenterOffset: 0
                    anchors.left: parent.left
                    anchors.leftMargin: 5
                    anchors.verticalCenter: parent.verticalCenter
                }
            }

            Rectangle {
                id :topline
                height:1
                color:"#ffffff"
                anchors.top: toprect.bottom
                anchors.topMargin: 1
                anchors.right: parent.right
                anchors.rightMargin: 0
                anchors.left: parent.left
                anchors.leftMargin: 0
            }


            Rectangle {
                id :midrect
                height:(parent.height/3)-1
                color: "#333333"
                border.color: "#000000"
                anchors.top: topline.bottom
                anchors.topMargin: 0
                anchors.right: parent.right
                anchors.rightMargin: 1
                anchors.left: parent.left
                anchors.leftMargin: 0

                Rectangle {
                    id:sentaddress
                    width: parent.width/2
                    color: "#333333"
                    radius: 2
                    anchors.left: parent.left
                    anchors.leftMargin: 5
                    anchors.bottom: parent.bottom
                    anchors.bottomMargin: 3
                    anchors.top: parent.top
                    anchors.topMargin: 3

                    Text{
                        color: "#ffffff"
                        text:sentto
                        font.pixelSize: 14
                        anchors.left: image1.right
                        anchors.leftMargin: 0
                        anchors.verticalCenter: parent.verticalCenter
                        font.bold: false
                        font.family: "Tahoma"
                    }

                    Image{
                        id: image1
                        fillMode: Image.PreserveAspectFit
                        anchors.top: parent.top
                        anchors.topMargin: 1
                        anchors.bottom: parent.bottom
                        anchors.bottomMargin: 1
                        source:"icons/mobile.png"
                    }

                }

                Rectangle {
                    id:lastviewed
                    color: "#333333"
                    radius: 3
                    anchors.left: sentaddress.right
                    anchors.leftMargin: 5
                    anchors.right: parent.right
                    anchors.rightMargin: 5
                    anchors.bottom: parent.bottom
                    anchors.bottomMargin: 3
                    anchors.top: parent.top
                    anchors.topMargin: 3

                    Text{
                        id:lastviewtitle
                        width: parent.width
                        height: parent.height/2
                        color: "#ffffff"
                        text:"Last viewed"
                        horizontalAlignment: Text.AlignRight
                        anchors.right: parent.right
                        anchors.rightMargin: 0
                        anchors.top: parent.top
                        anchors.topMargin: 3
                        font.bold: false
                        font.pixelSize: 14
                        font.family: "Tahoma"
                    }

                    Text{
                        width: parent.width
                        height: parent.height/2
                        color: "#ffffff"
                        text:lastview
                        horizontalAlignment: Text.AlignRight
                        anchors.right: parent.right
                        anchors.rightMargin: 0
                        anchors.top: lastviewtitle.bottom
                        anchors.topMargin: 3
                        font.bold: false
                        font.pixelSize: 14
                        font.family: "Tahoma"
                    }
                }
            }

            Rectangle {
                id :midline
                height:1
                color:"#ffffff"
                anchors.top: midrect.bottom
                anchors.topMargin: 0
                anchors.right: parent.right
                anchors.rightMargin: 0
                anchors.left: parent.left
                anchors.leftMargin: 0
            }

            Rectangle {
                id :botrect
                height: (parent.height/3)-2
                color: "#333333"
                anchors.top: midline.bottom
                anchors.topMargin: 0
                anchors.right: parent.right
                anchors.rightMargin: 0
                anchors.left: parent.left
                anchors.leftMargin: 0

                Rectangle {
                    id:resendbutton
                    width: parent.width/2
                    state: "NORMAL"
                    radius: 5
                    anchors.left: parent.left
                    anchors.leftMargin: 5
                    anchors.bottom: parent.bottom
                    anchors.bottomMargin: 3
                    anchors.top: parent.top
                    anchors.topMargin: 3

                    Text{
                        color: "#ffffff"
                        text:"Resend"
                        font.bold: true
                        font.family: "Tahoma"
                        font.pixelSize: 12
                        anchors.horizontalCenter: parent.horizontalCenter
                        anchors.verticalCenter: parent.verticalCenter
                    }
                    MouseArea{
                        anchors.fill:parent
                        onClicked: {
                            if (resendbutton.state == "NORMAL")
                            resendbutton.state = "FOCUS";
                            else
                            resendbutton.state = "NORMAL";
                            if(name==="Email"){
                            smscomposer.sendemail("url",sentto,"Glance");
                            }
                            if(name==="SMS"){
                            smscomposer.sendsms("url",sentto);
                            }
                            dialogtext = name;
                            dialog.open();

                        }
                    }

                    states: [
                             State {
                                 name: "NORMAL"
                                 PropertyChanges { target: resendbutton; color: "#333333"}
                                   },
                             State {
                                 name: "FOCUS"
                                 PropertyChanges { target: resendbutton; color: "#ff9900"}
                                   }
                    ]
                }

                Rectangle {
                    id:deletebutton
                    state:"NORMAL"
                    radius: 5
                    anchors.left: resendbutton.right
                    anchors.leftMargin: 5
                    anchors.right: parent.right
                    anchors.rightMargin: 5
                    anchors.bottom: parent.bottom
                    anchors.bottomMargin: 3
                    anchors.top: parent.top
                    anchors.topMargin: 3

                    Text{
                        color: "#ffffff"
                        text:"Delete"
                        font.bold: true
                        font.pixelSize: 12
                        font.family: "Tahoma"
                        anchors.horizontalCenter: parent.horizontalCenter
                        anchors.verticalCenter: parent.verticalCenter
                    }

                    MouseArea{
                        anchors.fill:parent
                        onClicked: {
                            if (deletebutton.state == "NORMAL")
                            deletebutton.state = "FOCUS";
                            else
                            deletebutton.state = "NORMAL";
                            deleteHistory(url);


                        }
                    }

                    states: [
                             State {
                                 name: "NORMAL"
                                 PropertyChanges { target: deletebutton; color: "#333333"}
                                   },
                             State {
                                 name: "FOCUS"
                                 PropertyChanges { target: deletebutton; color: "#ff9900"}
                                   }
                    ]

                }

            }
        }

    }
    model: ListModel {
        id:historyModel

//        ListElement {
//            name: "Email"
//            sentto: "mercy@shimba.com"
//            lastview:"12.04"

//        }

//        ListElement {
//            name: "Email"
//            sentto: "admin@babawatoto.com"
//            lastview:"21.0334"
//        }

//        ListElement {
//            name: "Email"
//            sentto: "bajaj@yahoo.com"
//            lastview:"09.41"
//        }

//        ListElement {
//            name: "SMS"
//            sentto: "09453788"
//            lastview:"03.22"
//        }

//        ListElement {
//            name: "SMS"
//            sentto: "6544557781"
//            lastview:"13.22"
//        }
    }
}



Dialog {
     id: dialog
     anchors.horizontalCenter: parent.horizontalCenter
     anchors.verticalCenter: parent.verticalCenter
     content: Rectangle {
         width: 300
         height: 300
         border.width: 2
         border.color: "#cccccc"
         anchors.horizontalCenter: parent.horizontalCenter
         color: "#000000"
         Text{
             text:"Message sent Successfully"
             color:"#ffffff"
             font.family: "Tahoma"
             font.pixelSize: 18
             height:40
         }

         Rectangle {
             id:dlgbutton
             state:"normal"
             color:"#cccccc"
             anchors.bottom:parent.bottom
             anchors.bottomMargin: 5
             anchors.left: parent.left
             anchors.leftMargin: 10
             anchors.right:parent.right
             anchors.rightMargin: 10
             radius:5
             height:60
             Text {
                 id: text2
                 text: qsTr("OK")
                 anchors.horizontalCenter: parent.horizontalCenter
                 anchors.verticalCenter: parent.verticalCenter
                 font.pixelSize: 14
                 font.family: "Arial Black"
             }
             MouseArea{
             anchors.fill: parent
             onClicked: {
             dialog.close()
             }
             }

             states: [
             State {
             name: "clicked"
             PropertyChanges { target: dlgbutton; color:"#ff9900" }
             },
             State {
             name: "normal"
             PropertyChanges { target: dlgbutton; color:"#cccccc" }
             }
             ]
         }


     }



 }

Rectangle {
   id: toolbar
   anchors.right: parent.right
   anchors.rightMargin: 2
   anchors.left: parent.left
   anchors.leftMargin: 2
   anchors.bottom: parent.bottom
   anchors.bottomMargin: 0
   opacity: 1
   height:60
   color: "#000000"
   border.color: "#ffffff"
   z: 1

   Rectangle {
       id: back
       width:parent.height
       color: "#000000"
       anchors.left: parent.left
       anchors.leftMargin: 2
       anchors.bottom: parent.bottom
       anchors.bottomMargin: 3
       anchors.top: parent.top
       anchors.topMargin: 3

       Image {
           id: backicon
           anchors.fill: parent
           fillMode: Image.PreserveAspectFit
           source: "icons/back.svg"
       }

       MouseArea {
           id: back_mouse_area
           anchors.leftMargin: 0
           anchors.fill: parent
           onClicked: {
               pageStack.pop();
           }
   }
   }

   Rectangle {
       id: homerect
       width: 50
       color: "#000000"
       anchors.bottom: parent.bottom
       anchors.bottomMargin: 2
       anchors.top: parent.top
       anchors.topMargin: 2
       anchors.right: parent.right
       anchors.rightMargin: 2

       Image {
           id: homeicon
           fillMode: Image.PreserveAspectFit
           anchors.fill: parent
           source: "icons/home.svg"
       }

       MouseArea {
           id: home_mouse_area
           anchors.fill: parent
           onClicked: {
           pageStack.push(mappage);
           }

       }

   }


}
Rectangle{
    id: rectangle2
    anchors.top: statusbar1.bottom
    anchors.topMargin: 0
    anchors.right: parent.right
    anchors.rightMargin: 0
    anchors.left: parent.left
    anchors.leftMargin: 0
    height:title.height
    color: "#1fc60d"
    border.color: "#000000"

Text {
    id: title
    color: "#ffffff"
    text: qsTr("History")    
    font.bold: true
    font.family: "Tahoma"
    font.pixelSize: 18
    }
}

}

}
