// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0
import com.nokia.meego 1.0
import QtWebKit 1.0
import QtMobility.location 1.1

Page {
    id:mpage
    width: 480
    height: 854
    property string name:"Me"
    property string details
    property string remainingtime
    property double lat
    property double lon
    property string enabled
    property string photourl:"icons/contacts.svg"


    onVisibleChanged: {
        getGlanceData();
    }

    function getGlanceData() {
        var db = openDatabaseSync("GlanceDB", "1.0", "Glance", 1000000);

        db.transaction(
        function(tx) {

        tx.executeSql('CREATE TABLE IF NOT EXISTS Details(name TEXT, photo TEXT)');

        var rs = tx.executeSql('SELECT * FROM Details');


        for(var i = 0; i < rs.rows.length; i++) {
        name = rs.rows.item(i).name;
        photourl = rs.rows.item(i).photo;
        }

        }
        )
   }



    function findEnabled(){

        if(positionSource.active)
            gpstate.source="icons/sat_on.svg"
        else
            gpstate.source="icons/sat_off.svg"


    }



    Rectangle {
    id: mainrect
    color: "#000000"
    width:parent.width
    height:parent.height



    StatusBar {
        id: statusbar
        height: 40
        anchors.top: parent.top
        anchors.topMargin: 0
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0


    }



    Rectangle {
        id: topbar
        z: 1
        height: 120
        color: "#000000"
        anchors.topMargin: 0
        anchors.top: statusbar.bottom
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0


    Rectangle {
        id: titlebar
        z: 1
        color: "#1fc60d"
        anchors.topMargin: 0
        height:30
        anchors.top: topbar.top
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0

        Text {
            id: text1
            color: "#ffffff"
            text: qsTr("Glance")
            anchors.right: parent.right
            anchors.rightMargin: 0
            anchors.left: parent.left
            anchors.leftMargin: 5
            anchors.verticalCenter: parent.verticalCenter
            font.family: "Tahoma"
            font.bold: true
            font.pixelSize: 18
        }
    }

    Rectangle {
        id: detailbar
        color: "#b3f3a5"
        z: 1
        border.color: "#b3f3a5"
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 0
        anchors.top: titlebar.bottom
        anchors.topMargin: 0
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0

        Rectangle {
            id: middlebar
            color: "#b3f3a5"
            anchors.right: parent.right
            anchors.rightMargin: 0
            anchors.left: parent.left
            anchors.leftMargin: 0
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            anchors.top: parent.top
            anchors.topMargin: 0

            TextInput {
                id: txtname
                height: 20
                color: "#1fc60d"
                text: name
                anchors.top: parent.top
                anchors.topMargin: 2
                anchors.left: photorect.right
                anchors.leftMargin: 3
                font.bold: true
                font.family: "Tahoma"
                font.pixelSize: 14
            }

            Text {
                id: txtspeedtime
                color: "#1fc60d"
                text: positionSource.position.coordinate.latitude
                anchors.right: gpstate.left
                anchors.rightMargin: 0
                font.family: "Tahoma"
                anchors.left: photorect.right
                anchors.leftMargin: 3
                anchors.top: txtname.bottom
                anchors.topMargin: 3
                font.pixelSize: 14
            }
            Text {
                id: txtremaining
                color: "#1fc60d"
                text: positionSource.position.coordinate.longitude
                anchors.right: gpstate.left
                anchors.rightMargin: 0
                font.family: "Tahoma"
                anchors.left: photorect.right
                anchors.leftMargin: 3
                anchors.top: txtspeedtime.bottom
                anchors.topMargin: 3
                font.pixelSize: 14
            }

            Text {
                id: txtstate
                color: "#1fc60d"
                text: positionSource.active ? "GPS is currently ON" : "GPS is currently OFF"
                font.bold: true
                anchors.right: gpstate.left
                anchors.rightMargin: 0
                font.family: "Tahoma"
                anchors.left: photorect.right
                anchors.leftMargin: 3
                anchors.top: txtremaining.bottom
                anchors.topMargin: 3
                font.pixelSize: 14
            }

            Rectangle {
                id: photorect
                width: photo.width
                color: "#b3f3a5"
                border.width: 2
                border.color: "#1fc60d"
                anchors.left: parent.left
                anchors.leftMargin: 0
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 0
                anchors.top: parent.top
                anchors.topMargin: 0

                Image {
                    id: photo
                    width: 90
                    fillMode: Image.PreserveAspectFit
                    anchors.left: parent.left
                    anchors.leftMargin: 0
                    anchors.bottom: parent.bottom
                    anchors.bottomMargin: 0
                    anchors.top: parent.top
                    anchors.topMargin: 0
                    source: photourl
                }
            }

            Image {
                id: gpstate
                fillMode: Image.PreserveAspectFit
                anchors.right: parent.right
                anchors.rightMargin: 5
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 10
                anchors.top: parent.top
                anchors.topMargin: 10
                source: positionSource.active ? "icons/sat_on.svg" : "icons/sat_off.svg"
                }
        }
    }
    }
Flickable{
    flickableDirection: Flickable.VerticalFlick
    contentWidth: parent.width
    contentHeight: 800
    anchors.bottom: toolbar.top
    anchors.bottomMargin: 0
    anchors.top: topbar.bottom
    anchors.topMargin: 0
    anchors.right: parent.right
    anchors.rightMargin: 0
    anchors.left: parent.left
    anchors.leftMargin: 0
    WebView {
        id: map
        anchors.fill: parent
        url:"http://www.tuvitu.com/m/glimpse/showmap.php?lat="+positionSource.position.coordinate.latitude+"&lon="+positionSource.position.coordinate.longitude+"&height=800&width=800"
    }
}
    Rectangle {
        id: toolbar
        height:60
        color: "#b3f3a5"
        z: 1
        anchors.rightMargin: 0
        anchors.bottomMargin: 0
        anchors.leftMargin: 0
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        opacity: 1


        Rectangle {
            id: historybutton
            state:"NORMAL"
            width: (parent.width/5)-3
            color: "#cccccc"
            radius: 5
            anchors.left: parent.left
            anchors.leftMargin: 3
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 3
            anchors.top: parent.top
            anchors.topMargin: 3

            Image {
                id: messageicon
                anchors.bottom: messagetext.top
                anchors.bottomMargin: 0
                fillMode: Image.PreserveAspectFit
                anchors.top: parent.top
                anchors.topMargin: 2
                anchors.horizontalCenter: parent.horizontalCenter
                source: "icons/history.png"
            }

            Text {
                id: messagetext
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("History")
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 0
                font.family: "Tahoma"
                font.bold: true
                font.pixelSize: 14
                color:"#000000"
            }
            MouseArea {
                id: mouse_area1
                anchors.fill: parent
                onClicked: {
                    if(historybutton.state == "NORMAL"){
                    historybutton.state = "FOCUS";
                    menubutton.state = "NORMAL";
                    sendbutton.state = "NORMAL";
                    favbutton.state = "NORMAL";
                    settingsbutton.state = "NORMAL";

                    }
                    else
                    historybutton.state = "NORMAL";
                    historypage.findHistory();
                    pageStack.push(historypage);
                }
            }

            states: [
                     State {
                         name: "NORMAL"
                         PropertyChanges { target: historybutton; color: "#cccccc"}
                           },
                     State {
                         name: "FOCUS"
                         PropertyChanges { target: historybutton; color: "#0865c8"}
                           }
            ]


        }
        Rectangle {
            id: sendbutton
            state:"NORMAL"
            width: (parent.width/5)-3
            color: "#cccccc"
            radius: 5
            anchors.left: historybutton.right
            anchors.leftMargin: 3
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 3
            anchors.top: parent.top
            anchors.topMargin: 3

            Image {
                id: sendicon
                anchors.bottom: sendtext.top
                anchors.bottomMargin: 0
                fillMode: Image.PreserveAspectFit
                anchors.top: parent.top
                anchors.topMargin: 2
                anchors.horizontalCenter: parent.horizontalCenter
                source: "icons/send.png"
            }

            Text {
                id: sendtext
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Send")
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 0
                font.bold: true
                font.family: "Tahoma"
                font.pixelSize: 14
                color:"#000000"
            }

            MouseArea {
                id: mouse_area2
                anchors.fill: parent
                onClicked: {
                    if(sendbutton.state == "NORMAL"){
                    sendbutton.state = "FOCUS";
                    menubutton.state = "NORMAL";
                    historybutton.state = "NORMAL";
                    favbutton.state = "NORMAL";
                    settingsbutton.state = "NORMAL";

                    }
                    else
                    sendbutton.state = "NORMAL";
                sendpage.setUrl("http://www.tuvitu.com/m/glimpse/showmap.php?lat="+
                                positionSource.position.coordinate.latitude+"&lon="+
                                positionSource.position.coordinate.longitude+
                                "&speed="+positionSource.position.speed+"&width=600&height=600");
                pageStack.push(sendpage);
                }
            }

            states: [
                     State {
                         name: "NORMAL"
                         PropertyChanges { target: sendbutton; color: "#cccccc"}
                           },
                     State {
                         name: "FOCUS"
                         PropertyChanges { target: sendbutton; color: "#0865c8"}
                           }
            ]
        }

        Rectangle {
            id: favbutton
            state:"NORMAL"
            width: (parent.width/5)-3
            color: "#cccccc"
            radius: 5
            anchors.left: sendbutton.right
            anchors.leftMargin: 3
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 3
            anchors.top: parent.top
            anchors.topMargin: 3

            Image {
                id: favicon
                anchors.bottom: favtext.top
                anchors.bottomMargin: 0
                fillMode: Image.PreserveAspectFit
                anchors.top: parent.top
                anchors.topMargin: 2
                anchors.horizontalCenter: parent.horizontalCenter
                source: "icons/favorite.png"
            }

            Text {
                id: favtext
                text: qsTr("Favourites")
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 0
                anchors.horizontalCenter: parent.horizontalCenter
                font.bold: true
                font.family: "Tahoma"
                font.pixelSize: 14
                color:"#000000"
            }

            MouseArea {
                id: mouse_area3
                anchors.fill: parent
                onClicked: {
                    if(favbutton.state == "NORMAL"){
                    favbutton.state = "FOCUS";
                    menubutton.state = "NORMAL";
                    sendbutton.state = "NORMAL";
                    historybutton.state = "NORMAL";
                    settingsbutton.state = "NORMAL";

                    }
                    else
                    favbutton.state = "NORMAL";
                    favpage.findFavourites();
                    pageStack.push(favpage);
                }
            }

            states: [
                     State {
                         name: "NORMAL"
                         PropertyChanges { target: favbutton; color: "#cccccc"}
                           },
                     State {
                         name: "FOCUS"
                         PropertyChanges { target: favbutton; color: "#0865c8"}
                           }
            ]
        }

        Rectangle {
            id: settingsbutton
            state:"NORMAL"
            width: (parent.width/5)-3
            color: "#cccccc"
            radius: 5
            anchors.left: favbutton.right
            anchors.leftMargin: 3
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 3
            anchors.top: parent.top
            anchors.topMargin: 3

            Image {
                id: settingsicon
                anchors.bottom: settingstext.top
                anchors.bottomMargin: 0
                fillMode: Image.PreserveAspectFit
                anchors.top: parent.top
                anchors.topMargin: 2
                anchors.horizontalCenter: parent.horizontalCenter
                source: "icons/settings.svg"
            }

            Text {
                id: settingstext
                anchors.horizontalCenter: parent.horizontalCenter
                text: qsTr("Settings")
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 2
                font.family: "Tahoma"
                font.bold: true
                font.pixelSize: 14
                color:"#000000"
            }

            MouseArea {
                id: mouse_area4
                anchors.fill: parent
                onClicked: {
                    if(settingsbutton.state == "NORMAL"){
                    settingsbutton.state = "FOCUS";
                    menubutton.state = "NORMAL";
                    sendbutton.state = "NORMAL";
                    favbutton.state = "NORMAL";
                    historybutton.state = "NORMAL";

                    }
                    else
                    settingsbutton.state = "NORMAL";
                    pageStack.push(settingpage);

                }
            }

            states: [
                     State {
                         name: "NORMAL"
                         PropertyChanges { target: settingsbutton; color: "#cccccc"}
                           },
                     State {
                         name: "FOCUS"
                         PropertyChanges { target: settingsbutton; color: "#0865c8"}
                           }
            ]
          }

        Rectangle {
            id: menubutton
            state:"NORMAL"
            width: (parent.width/5)-3
            color: "#cccccc"
            radius: 5
            anchors.left: settingsbutton.right
            anchors.leftMargin: 3
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 3
            anchors.top: parent.top
            anchors.topMargin: 3

            Image {
                id: menuicon
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 0
                fillMode: Image.PreserveAspectFit
                anchors.top: parent.top
                anchors.topMargin: 2
                anchors.horizontalCenter: parent.horizontalCenter
                source: "icons/options.svg"
            }



            MouseArea {
                id: mouse_area5
                anchors.fill: parent
                onClicked: {
                    if(menubutton.state == "NORMAL"){
                    menubutton.state = "FOCUS";
                    settingsbutton.state = "NORMAL";
                    sendbutton.state = "NORMAL";
                    favbutton.state = "NORMAL";
                    historybutton.state = "NORMAL";

                    }
                    else
                    menubutton.state = "NORMAL";
                    mainMenu.open();
                }
            }

            states: [
                     State {
                         name: "NORMAL"
                         PropertyChanges { target: menubutton; color: "#cccccc"}
                           },
                     State {
                         name: "FOCUS"
                         PropertyChanges { target: menubutton; color: "#0865c8"}
                           }
            ]
          }
        }

    Menu {
         id: mainMenu
         anchors.verticalCenter: parent.verticalCenter
         content: MenuLayout {

             MenuItem {
                 text:"Help"
                 onClicked: {
                     pageStack.push(help);
                 }

             }
             MenuItem {
                 text:"About"
                 onClicked: {
                     pageStack.push(about);
                 }
             }



             MenuItem {
                 text:"Exit"
                 onClicked: {
                     Qt.quit();
                 }
             }
         }
         }

     }

    Component.onCompleted: {

        findEnabled();

    }


}
