// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0
import com.nokia.meego 1.0
import QtQuick 1.0
import QtWebKit 1.0
import QtMobility.location 1.1

Page {
    width:480
    height:854
    property string itsUrl
    property string itsNumber
    property string hstring
    property string type:"SMS"
    property string sentto
    property string duration

    function setUrl(url){
    itsUrl = url;
    }

    function setPhone(phone){
    itsNumber = phone;
    }

    function saveHistory(sentID,sentType,sentDate,sentTo,url) {
    var db = openDatabaseSync("GlanceDB", "1.0", "Glance!", 1000000);

    db.transaction(
    function(tx) {

    tx.executeSql('CREATE TABLE IF NOT EXISTS History(histid TEXT, hstype TEXT, hsaddr TEXT,hdate TEXT, url TEXT)');
    tx.executeSql('INSERT INTO History VALUES(?,?,?,?,?)', [sentID,sentType, sentTo, sentDate, url]);

    }
    )
    }

    function saveFavourite(favname,url) {
    var db = openDatabaseSync("GlanceDB", "1.0", "Glance!", 1000000);

    db.transaction(
    function(tx) {

    tx.executeSql('CREATE TABLE IF NOT EXISTS Favourites(favname TEXT, url TEXT)');
    tx.executeSql('INSERT INTO Favourites VALUES(?,?)', [favname, url]);

    }
    )
    }

    function getHTTP(theurl)
    {
        var xmlHttp = null;
        var Url = theurl;
        xmlHttp = new XMLHttpRequest();
        xmlHttp.open( "GET", Url, true );
        xmlHttp.send( null );
    }

Rectangle {
    id: rectangle1
    width: parent.width
    height: parent.height
    anchors.fill: parent
    color: "#042003"

    PositionSource {
        id: positionSource
        updateInterval: 10000
        active: true

    }

    StatusBar {
        id: statusbar
        height:30
        anchors.top: parent.top
        anchors.topMargin: 0
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0


    }
    Flickable{
        id: flickable1
        contentHeight: 640
        contentWidth: parent.width
        anchors.bottom: toolBar.top
        anchors.bottomMargin: 0
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0
        anchors.top: statusbar.bottom
        anchors.topMargin: 5
        flickableDirection: Flickable.VerticalFlick
    Rectangle {
        id: titlebar
        color: "#1fc60d"
        anchors.topMargin: 0
        height:parent.height/20
        anchors.top: parent.top
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0

        Text {
            id: text1
            color: "#ffffff"
            text: qsTr("Send a Glance")
            anchors.left: parent.left
            anchors.leftMargin: 4
            anchors.verticalCenter: parent.verticalCenter
            font.family: "Tahoma"
            font.bold: true
            font.pixelSize: 18
        }
    }

    WebView {
        id: webview
        height: 150
        z: -1
        clip: false
        anchors.top: titlebar.bottom
        anchors.topMargin: 4
        anchors.right: parent.right
        anchors.rightMargin: 5
        anchors.left: parent.left
        anchors.leftMargin: 5
        url:itsUrl
    }

Rectangle {
id:itemview
color: "#b3f3a5"
z: 1
anchors.bottom: parent.bottom
anchors.bottomMargin: 0
anchors.top: webview.bottom
anchors.topMargin: 2
anchors.right: parent.right
anchors.rightMargin: 5
anchors.left: parent.left
anchors.leftMargin: 5

    Text {
        id: text2
        color: "#000000"
        text: qsTr("Send this Glance via:")
        anchors.left: parent.left
        anchors.leftMargin: 5
        anchors.top: parent.top
        anchors.topMargin: 5
        font.family: "Tahoma"
        font.bold: true
        font.pixelSize: 12
    }

    Rectangle {
        id: buttonbar
        height: 40
        color: "#ffffff"
        anchors.top: text2.bottom
        anchors.topMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        anchors.left: parent.left
        anchors.leftMargin: 5

        Rectangle {
            id: emailbutton
            width:emailbuttonicon.width
            color: "#ffffff"
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            anchors.top: parent.top
            anchors.topMargin: 0
            anchors.right: parent.right
            anchors.rightMargin: 5


            Image {
                id: emailbuttonicon
                fillMode: Image.PreserveAspectFit
                anchors.right: parent.right
                anchors.rightMargin: 0
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 5
                anchors.top: parent.top
                anchors.topMargin: 5
                source: "icons/arrow_down.png"
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    typeMenu.open();
                }
            }
        }

        TextField {
            id: txtType
            text: type
            anchors.right: emailbutton.left
            anchors.rightMargin: 0
            anchors.left: parent.left
            anchors.leftMargin: 0
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            anchors.top: parent.top
            anchors.topMargin: 0
            }
    }

    Rectangle {
        id: glympsesend
        height: 40
        color: "#ffffff"
        anchors.top: text7.bottom
        anchors.topMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        anchors.left: parent.left
        anchors.leftMargin: 5

        Rectangle {
            id: phonebutton
            width:phonebuttonicon.width
            color: "#ffffff"
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            anchors.top: parent.top
            anchors.topMargin: 0
            anchors.right: parent.right
            anchors.rightMargin: 5


            Image {
                id: phonebuttonicon
                fillMode: Image.PreserveAspectFit
                anchors.right: parent.right
                anchors.rightMargin: 0
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 5
                anchors.top: parent.top
                anchors.topMargin: 5
                source: "icons/phone.png"
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    console.log(type);
                    clview.setType(type);
                    pageStack.push(clview);
                }
            }
        }

        TextField {
            id: txtTo
            text: itsNumber
            anchors.right: phonebutton.left
            anchors.rightMargin: 0
            anchors.left: parent.left
            anchors.leftMargin: 0
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            anchors.top: parent.top
            anchors.topMargin: 0
        }
    }

    Text {
        id: text3
        color: "#000000"
        text: qsTr("Set how long this Glance will last......")
        anchors.left: parent.left
        anchors.leftMargin: 5
        anchors.top: glympsesend.bottom
        anchors.topMargin: 5
        font.bold: true
        font.family: "Tahoma"
        font.pixelSize: 12
    }

    Rectangle {
        id: glympseperiod
        height: 40
        color: "#ffffff"
        anchors.top: text3.bottom
        anchors.topMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        anchors.left: parent.left
        anchors.leftMargin: 5

        Rectangle {
            id: periodbutton
            width:periodbuttonicon.width
            color: "#ffffff"
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            anchors.top: parent.top
            anchors.topMargin: 0
            anchors.right: parent.right
            anchors.rightMargin: 5


            Image {
                id: periodbuttonicon
                fillMode: Image.PreserveAspectFit
                anchors.right: parent.right
                anchors.rightMargin: 0
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 4
                anchors.top: parent.top
                anchors.topMargin: 4
                source: "icons/clock.png"
            }
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    timeMenu.open();
                }
            }

          }
        TextField {
            id: txtTime
            text: ""
            anchors.right: periodbutton.left
            anchors.rightMargin: 0
            anchors.left: parent.left
            anchors.leftMargin: 0
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            anchors.top: parent.top
            anchors.topMargin: 0
        }
        ContextMenu {
             id: timeMenu
             anchors.verticalCenter: parent.verticalCenter
             content: MenuLayout {
                 MenuItem {
                     text: "15 minutes"

                     onClicked: {
                         txtTime.text = text
                         duration = "15"
                         timeMenu.close();
                     }
                 }
                 MenuItem {
                    text: "30 minutes"

                     onClicked: {
                         txtTime.text = text
                         duration = "30"
                     }
                 }
                 MenuItem {
                     text: "45 minutes"

                     onClicked: {
                         txtTime.text = text
                         duration = "45"
                     }
                 }
                 MenuItem {
                     text: "60 minutes"

                     onClicked: {
                         txtTime.text = text
                         duration = "60"
                     }
                 }
                 MenuItem {
                     text: "90 minutes"


                     onClicked: {
                         txtTime.text = text
                         duration = "90"
                     }
                 }
                 MenuItem {
                     text: "2 hours"

                     onClicked: {
                         txtTime.text = text
                         duration = "120"
                     }
                 }

             }
         }
    }

    ContextMenu {
         id: typeMenu
         anchors.verticalCenter: parent.verticalCenter
         content: MenuLayout {
             MenuItem {
                 text: "SMS"
                 onClicked:{
                     txtType.text = text;
                     type = "SMS";
                 }
             }
             MenuItem {
                 text: "EMail"
                 onClicked: {
                     txtType.text = text;
                     type = "EMail";

                 }
             }

         }
     }


    Rectangle {
        id: glympsemessage
        height: 40
        color: "#ffffff"
        anchors.top: text4.bottom
        anchors.topMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        anchors.left: parent.left
        anchors.leftMargin: 5

        Rectangle {
            id: msgbutton
            width:periodbuttonicon.width
            color: "#ffffff"
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            anchors.top: parent.top
            anchors.topMargin: 5
            anchors.right: parent.right
            anchors.rightMargin: 5


            Image {
                id: msgbuttonicon
                anchors.right: parent.right
                anchors.rightMargin: 0
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 3
                anchors.top: parent.top
                anchors.topMargin: 3
                source: "icons/message.png"
            }

            MouseArea{
                anchors.fill: parent
                onClicked: {
                    textMenu.open();
                }

            }
        }
        TextArea {
            id: txtMessage
            text: ""
            anchors.right: msgbutton.left
            anchors.rightMargin: 0
            anchors.left: parent.left
            anchors.leftMargin: 0
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            anchors.top: parent.top
            anchors.topMargin: 0
        }

        ContextMenu {
             id: textMenu
             anchors.verticalCenter: parent.verticalCenter
             content: MenuLayout {
                 MenuItem {
                     text:"Check this Out"
                     onClicked: txtMessage.text = text
                 }
                 MenuItem {
                     text:"I am lost here"
                     onClicked: txtMessage.text = text
                 }
                 MenuItem {
                     text:"Let us meet"
                     onClicked: txtMessage.text = text
                 }

             }
        }

    }

    Rectangle {
        id: sendbutton
        color: "#042003"
        radius: 10
        anchors.top: glympsemessage.bottom
        anchors.topMargin: 10
        border.color: "#1fc60d"
        height:60
        anchors.right: parent.right
        anchors.rightMargin: 10
        anchors.left: parent.left
        anchors.leftMargin: 10

        Text {
            id: text6
            color: "#1fc60d"
            text: qsTr("Send Glance")
            anchors.horizontalCenter: parent.horizontalCenter
            font.bold: true
            font.family: "Tahoma"
            anchors.verticalCenter: parent.verticalCenter
            font.pixelSize: 16
        }

        MouseArea {
            id: mouse_area1
            anchors.fill: parent
            onClicked:{
                var cdate = new Date();
                var randomnumber=Math.floor(Math.random()*900000000)
                saveHistory(randomnumber,type,cdate.toDateString(),txtTo.text,itsUrl);
                if(type==="EMail"){
                if(txtTo.text!=""){
                itsUrl = itsUrl + "&date="+ cdate.toDateString() +"&duration="+duration+"&id="+randomnumber.toString()
                smscomposer.sendemail(txtMessage.text + "" + itsUrl,txtTo.text,"Glance");
                txtTo.text = "";
                txtMessage.text = "";
                txtTime.text = "";
                savedialog.open();
                }
                else{
                msgdialog.open();
                }
                }
                if(type==="SMS"){
                if(txtTo.text!=""){
                smscomposer.sendsms(txtMessage.text + "" + itsUrl,txtTo.text);
                txtTo.text = "";
                txtMessage.text = "";
                txtTime.text = "";
                savedialog.open();
                }
                else{
                msgdialog.open();
                }
                }

            }

        }
    }

    Text {
        id: text4
        color: "#000000"
        text: qsTr("Optional: Add a Message")
        anchors.top: glympseperiod.bottom
        anchors.topMargin: 5
        anchors.left: parent.left
        anchors.leftMargin: 5
        font.family: "Tahoma"
        font.bold: true
        font.pixelSize: 12
    }

    Text {
        id: text7
        color: "#000000"
        text: qsTr("Send to:")
        anchors.left: parent.left
        font.bold: true
        font.family: "Tahoma"
        anchors.leftMargin: 5
        anchors.top: buttonbar.bottom
        anchors.topMargin: 5
        font.pixelSize: 12
    }

    }
   }



    Rectangle {
        id: toolBar
        anchors.right: parent.right
        anchors.rightMargin: 3
        anchors.left: parent.left
        anchors.leftMargin: 3
        opacity: 1
        height:60
        color: "#000000"
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 0

        Rectangle {
            id: back
            width:parent.height
            color: "#000000"
            border.color: "#000000"
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 3
            anchors.top: parent.top
            anchors.topMargin: 3

            Image {
                id: backicon
                anchors.right: parent.right
                anchors.rightMargin: 0
                anchors.left: parent.left
                anchors.leftMargin: 0
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 0
                anchors.top: parent.top
                anchors.topMargin: 0
                fillMode: Image.PreserveAspectFit
                source: "icons/back.svg"
            }

            MouseArea {
                id: back_mouse_area
                anchors.fill: parent
                onClicked: {
                    pageStack.pop();
                }
            }
        }

        Rectangle {
            id: rectangle2
            color: "#000000"
            border.color: "#000000"
            width:parent.height
            anchors.right: parent.right
            anchors.rightMargin: 0
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            anchors.top: parent.top
            anchors.topMargin: 0

            Image {
                id: menuicon
                anchors.right: parent.right
                anchors.rightMargin: 0
                anchors.left: parent.left
                anchors.leftMargin: 0
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 0
                anchors.top: parent.top
                anchors.topMargin: 0
                fillMode: Image.PreserveAspectFit
                source: "icons/home.svg"
            }

            MouseArea {
                id: men_mouse_area
                anchors.fill: parent
                onClicked: {
                pageStack.push(mappage);
                }
             }




            Dialog {
                id: dialog
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.verticalCenter: parent.verticalCenter

                content: Rectangle {
                    id: rectangle12
                    width: 300
                    height: 300
                    anchors.horizontalCenter: parent.horizontalCenter
                    color: "#000000"
                    border.width: 1
                    border.color: "#ffffff" // this makes the margins visible on the ui
                    Text{
                        id:txtlabel
                        text:"Add to Favourites"
                        anchors.horizontalCenter: parent.horizontalCenter
                        anchors.top: parent.top
                        anchors.topMargin: 10
                        font.pixelSize: 16
                        font.family: "Tahoma"
                        color:"#ffffff"
                    }

                    TextField{
                        id:ftext
                        placeholderText: "Name"
                        anchors.horizontalCenter: parent.horizontalCenter
                        anchors.top:txtlabel.bottom
                        font.pixelSize: 16
                        font.family: "Tahoma"

                    }

                    Rectangle{
                        id:favbutton
                        color:"#cccccc"
                        anchors.left: parent.left
                        anchors.leftMargin: 10
                        anchors.right: parent.right
                        anchors.rightMargin: 10
                        anchors.top: ftext.bottom
                        anchors.topMargin: 10
                        height:60
                        Text{
                            anchors.horizontalCenter: parent.horizontalCenter
                            anchors.verticalCenter: parent.verticalCenter
                            font.family: "Tahoma"
                            font.pixelSize: 16
                            text:"OK"
                        }

                        MouseArea{
                            anchors.fill: parent
                            onClicked: {
                            if(ftext.text!==""){
                            saveFavourite(ftext.text,itsUrl);
                            dialog.close();
                            }
                            }
                        }
                    }

                    Rectangle{
                        id:cancelbutton
                        color:"#cccccc"
                        anchors.left: parent.left
                        anchors.leftMargin: 10
                        anchors.right: parent.right
                        anchors.rightMargin: 10
                        anchors.top: favbutton.bottom
                        anchors.topMargin: 10
                        height:60
                        Text{
                            anchors.horizontalCenter: parent.horizontalCenter
                            anchors.verticalCenter: parent.verticalCenter
                            font.family: "Tahoma"
                            font.pixelSize: 16
                            text:"Cancel"
                        }

                        MouseArea{
                            anchors.fill: parent
                            onClicked: {
                            dialog.close();
                            }
                            }
                        }

                }

              }

            Dialog {
                id: msgdialog
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.verticalCenter: parent.verticalCenter

                content: Rectangle {
                    id: rectangle32
                    width: 300
                    height: 200
                    anchors.horizontalCenter: parent.horizontalCenter
                    color: "#000000"
                    border.width: 1
                    border.color: "#ffffff" // this makes the margins visible on the ui
                    Text{
                        text:"Message Scheduled"
                        anchors.horizontalCenter: parent.horizontalCenter
                        anchors.verticalCenter: parent.verticalCenter
                        font.pixelSize: 16
                        font.family: "Tahoma"
                        color:"#ffffff"
                    }

                    Rectangle{
                        id:msbutton
                        color:"#cccccc"
                        anchors.left: parent.left
                        anchors.leftMargin: 10
                        anchors.right: parent.right
                        anchors.rightMargin: 10
                        anchors.bottom: parent.bottom
                        anchors.bottomMargin: 10
                        height:60
                        Text{
                            anchors.horizontalCenter: parent.horizontalCenter
                            anchors.verticalCenter: parent.verticalCenter
                            font.family: "Tahoma"
                            font.pixelSize: 16
                            text:"OK"
                        }

                        MouseArea{
                            anchors.fill: parent
                            onClicked: {
                             msgdialog.close();
                            }
                        }
                    }
                }

              }

            Dialog {
                id: savedialog
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.verticalCenter: parent.verticalCenter

                content: Rectangle {
                    id: rectangle19
                    width: 300
                    height: 300
                    anchors.horizontalCenter: parent.horizontalCenter
                    color: "#000000"
                    border.width: 1
                    border.color: "#ffffff" // this makes the margins visible on the ui
                    Text{
                        text:"Message Sent"
                        anchors.horizontalCenter: parent.horizontalCenter
                        anchors.verticalCenter: parent.verticalCenter
                        font.pixelSize: 16
                        font.family: "Tahoma"
                        color:"#ffffff"
                    }

                    Rectangle{
                        id:savebutton
                        color:"#cccccc"
                        anchors.left: parent.left
                        anchors.leftMargin: 10
                        anchors.right: parent.right
                        anchors.rightMargin: 10
                        anchors.bottom: parent.bottom
                        anchors.bottomMargin: 10
                        height:60
                        Text{
                            anchors.horizontalCenter: parent.horizontalCenter
                            anchors.verticalCenter: parent.verticalCenter
                            font.family: "Tahoma"
                            font.pixelSize: 16
                            text:"OK"
                        }

                        MouseArea{
                            anchors.fill: parent
                            onClicked: {
                             savedialog.close();
                             dialog.open();
                            }
                        }
                    }
                }

              }


            Menu {
                 id: mainMenu

                 content: MenuLayout {
                     MenuItem {
                         text:"Exit"
                         onClicked: Qt.quit();
                     }

                     MenuItem {
                         text:"Favourites"
                         onClicked:{
                         favpage.findFavourites();
                         pageStack.push(favpage);
                         }


                     }
                     MenuItem {
                         text:"Help"
                         onClicked:{
                         pageStack.push(help);
                         }

                     }
                     MenuItem {
                         text:"About"
                         onClicked:{
                         pageStack.push(about);
                         }

                     }

                 }
            }

          }

       }


    }






}



