// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0
import com.nokia.meego 1.0

Page {
    id: messagepage
    width: 480
    height: 854

    property string contactEmail


    function setContactData(email) {
        contactEmail = email;

    }


Rectangle {
    id: messagerectangle
    width: parent.width
    height: parent.height
    color: "#333333"
    border.width: 2
    border.color: "#666666"

StatusBar {
        id:statusbar
        height: 30
        anchors.top: parent.top
        anchors.topMargin: 0
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0

}



Rectangle {
    id: messagearea
    color: "#333333"
    height:parent.height/4
    anchors.top: subjectrect.bottom
    anchors.topMargin: 5
    anchors.right: parent.right
    anchors.rightMargin: 0
    anchors.left: parent.left
    anchors.leftMargin: 0
    border.color: "#333333"


    TextArea {
        id: message
        width:parent.width-10
        text: ""
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 5
        anchors.horizontalCenterOffset: 0
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 5
        anchors.top:text3.bottom


    }

    Text {
        id: text3
        x: 7
        color: "#ffffff"
        text: qsTr("Message")
        anchors.top: parent.top
        anchors.topMargin: 2
        font.bold: true
        font.family: "Tahoma"
        anchors.left: parent.left
        anchors.leftMargin: 5
        font.pixelSize: 14
    }


}

Rectangle {
    id:send
    state:"NORMAL"
    anchors.top:messagearea.bottom
    height:(sendimage.height*1.5)+sendtext.height+10
    color: "#666666"
    radius: 5
    anchors.left: parent.left
    anchors.right: parent.right
    anchors.rightMargin: 10
    anchors.leftMargin: 10
    border.color: "#000000"
    Image {
        id:sendimage
        anchors.top: parent.top
        anchors.topMargin: 5
        anchors.horizontalCenter: parent.horizontalCenter
        source:"icons/send.png"
    }
    Text{
        id:sendtext
        color: "#ffffff"
        text:"Send"
        font.bold: true
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top:sendimage.bottom
        anchors.topMargin: 5
    }
    states: [
             State {
                 name: "NORMAL"
                 PropertyChanges { target: send; color: "#333333"}
                   },
             State {
                 name: "FOCUS"
                 PropertyChanges { target: send; color: "#ff9900"}
                   }
    ]

    MouseArea{
        id:send_mouse_area
        anchors.fill: parent
        onClicked: {
            onClicked: {
            if (send.state == "NORMAL")
            send.state = "FOCUS"
            else
            send.state = "NORMAL"
            }
            smscomposer.sendemail(message.text,contactEmail,txtSubject.text);
            dialog.open();
            }
        }
}

Rectangle {
    id: subjectrect
    height: parent.height/12
    color: "#333333"
    border.width: 0
    border.color: "#333333"
    anchors.top: emailto.bottom
    anchors.topMargin: 5
    anchors.right: parent.right
    anchors.rightMargin: 2
    anchors.left: parent.left
    anchors.leftMargin: 2

    TextField {
        id: txtSubject
        text: ""
        anchors.left: text4.right
        anchors.leftMargin: 10
        anchors.right: parent.right
        anchors.rightMargin: 2
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 3
        anchors.top: parent.top
        anchors.topMargin: 3
    }

    Text {
        id: text4
        x: 4
        y: 24
        color: "#ffffff"
        text: qsTr("Subject")
        font.bold: true
        font.family: "Tahoma"
        anchors.verticalCenter: parent.verticalCenter
        font.pixelSize: 14
    }
}

Rectangle {
    id: emailto
    height: parent.height/10
    color: "#333333"
    anchors.top: statusbar.bottom
    anchors.topMargin: 5
    anchors.right: parent.right
    anchors.rightMargin: 2
    anchors.left: parent.left
    anchors.leftMargin: 2

    Text {
        id: text1
        color: "#ffffff"
        text: qsTr("To :")
        anchors.top: parent.top
        anchors.topMargin: 10
        anchors.left: parent.left
        anchors.leftMargin: 5
        font.family: "Tahoma"
        font.bold: true
        font.pixelSize: 13
    }

    Text {
        id: text2
        color: "#ffffff"
        text: "info@tuvitu.com"
        anchors.top: parent.top
        anchors.topMargin: 10
        font.family: "Tahoma"
        anchors.left: text1.right
        anchors.leftMargin: 5
        font.pixelSize: 12
    }
}

Rectangle {
    id: toolbar
    height: 40
    color:"#000000"
    anchors.bottom: parent.bottom
    anchors.bottomMargin: 0
    anchors.right: parent.right
    anchors.rightMargin: 0
    anchors.left: parent.left
    anchors.leftMargin: 0

    Rectangle {
        id: rectangle2
        color: "#000000"
        width:leftarrow.width
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 5
        anchors.top: parent.top
        anchors.topMargin: 5
        anchors.left: parent.left
        anchors.leftMargin: 0

        Image{
            id:leftarrow
            anchors.left: parent.left
            anchors.leftMargin: 0
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 0
            anchors.top: parent.top
            anchors.topMargin: 0
            fillMode: Image.PreserveAspectFit
            source:"icons/back.svg"
        }

        MouseArea{
            id:left_mouse_area
            anchors.fill: parent
            onClicked: {
                pageStack.pop();
            }
        }
    }
}


Dialog {
     id: dialog
     anchors.horizontalCenter: parent.horizontalCenter
     anchors.verticalCenter: parent.verticalCenter
     content: Rectangle {
         width: 300
         height: 300
         border.width: 2
         border.color: "#cccccc"
         anchors.horizontalCenter: parent.horizontalCenter
         color: "#000000"
         Text{
             text:"Message sent Successfully"
             color:"#ffffff"
             font.family: "Tahoma"
             font.pixelSize: 18
             height:40
         }

         Rectangle {
             id:dlgbutton
             state:"normal"
             color:"#cccccc"
             anchors.bottom:parent.bottom
             anchors.bottomMargin: 5
             anchors.left: parent.left
             anchors.leftMargin: 10
             anchors.right:parent.right
             anchors.rightMargin: 10
             radius:5
             height:60
             Text {
                 id: text8
                 text: qsTr("OK")
                 anchors.horizontalCenter: parent.horizontalCenter
                 anchors.verticalCenter: parent.verticalCenter
                 font.pixelSize: 14
                 font.family: "Arial Black"
             }
             MouseArea{
             anchors.fill: parent
             onClicked: {
             dialog.close()
             }
             }

             states: [
             State {
             name: "clicked"
             PropertyChanges { target: dlgbutton; color:"#ff9900" }
             },
             State {
             name: "normal"
             PropertyChanges { target: dlgbutton; color:"#cccccc" }
             }
             ]
         }


     }



 }



}


}





