// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.0
import com.nokia.meego 1.0


Rectangle {
    id: settingListMain
    width: 480
    height: 854
    color: "#b3f3a5"
    border.color: "#1fc60d"
    property int selectedsettingsNumber: -1
    property int locenabled

    function locationEnable(state){
        var db = openDatabaseSync("GlanceDB", "1.0", "Glance!", 1000000);

        db.transaction(
        function(tx) {
        tx.executeSql('CREATE TABLE IF NOT EXISTS Enable(enabled INT)');
        tx.executeSql('Drop TABLE  Enable');
        tx.executeSql('CREATE TABLE IF NOT EXISTS Enable(enabled INT)');
        tx.executeSql('INSERT INTO Enable VALUES(?)', [state]);

        }
        )
    }

    function findEnabled(){
        var db = openDatabaseSync("GlanceDB", "1.0", "Glance!", 1000000);
        db.transaction(
        function(tx) {
        tx.executeSql('CREATE TABLE IF NOT EXISTS Enable(enabled INT)');
        var rs = tx.executeSql('SELECT * FROM Enable');

        var r = ""
        for(var i = 0; i < rs.rows.length; i++) {
        locenabled  = rs.rows.item(i).enabled;
        }
        }
        )
        console.log("Settings: "+locenabled);
        if(locenabled===0)
        settingsModel.setProperty(2, "settingsName", "Enable Location Data");
        else
        settingsModel.setProperty(2, "settingsName", "Disable Location Data");
    }


    ListModel {
        id: settingsModel
        ListElement {
            settingsNumber: 1
            settingsName: "Change Details"
            settingsIcon: "icons/contacts.svg"
        }

        ListElement {
            settingsNumber: 2
            settingsName: "View Glance"
            settingsIcon: "icons/view.png"
        }

        ListElement {
            settingsNumber: 3
            settingsName: "Disable Location Data"
            settingsIcon: "icons/navigator.png"
        }
        ListElement {
            settingsNumber: 4
            settingsName: "Send us Feedback"
            settingsIcon: "icons/email.png"
        }

        ListElement {
            settingsNumber: 5
            settingsName: "About Us"
            settingsIcon: "icons/glance.png"
        }
        ListElement {
            settingsNumber: 6
            settingsName: "Help"
            settingsIcon: "icons/help.png"
        }

    }

    Dialog {
        id: enableDialog
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter

        content: Rectangle {
            id: rectangle2
            width: 300
            height: 200
            anchors.horizontalCenter: parent.horizontalCenter
            color: "#000000"
            border.width: 1
            border.color: "#ffffff" // this makes the margins visible on the ui
            Text{
                text:"Location Data Settings has been Changed"
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.verticalCenter: parent.verticalCenter
                font.pixelSize: 16
                font.family: "Tahoma"
                color:"#ffffff"
            }

            Rectangle{
                id:sbutton
                color:"#cccccc"
                anchors.left: parent.left
                anchors.leftMargin: 10
                anchors.right: parent.right
                anchors.rightMargin: 10
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 10
                height:60
                Text{
                    anchors.horizontalCenter: parent.horizontalCenter
                    anchors.verticalCenter: parent.verticalCenter
                    font.family: "Tahoma"
                    font.pixelSize: 16
                    text:"OK"
                }

                MouseArea{
                    anchors.fill: parent
                    onClicked: {
                     enableDialog.close();
                    }
                }
            }
        }

      }

    Component {
        id: settingsDelegate
        Rectangle {
            id: settingsDelegateRectangle
            height: sicon.height * 1.5 + blueline.height
            width: parent.width
            color: "#b3f3a5"
            Rectangle {
                id: blueline
                width: parent.width-30
                height: 1
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.top: parent.top
                color: "#666666"
            }
            Image {
            id: sicon
            source:settingsIcon
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: 10
            }

            Text {
                id: settingsDelegateText
                font.family: "Tahoma"
                font.pixelSize: 16
                color: "#000000"
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: sicon.right
                anchors.leftMargin: 10
                text: "<b>" + settingsName + "</b>"
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                selectedsettingsNumber = settingsNumber;
                    if(settingsNumber===1){
                    editdetails.getDetails();
                    pageStack.push(editdetails);
                    }
                    if(settingsNumber===2){
                    favpage.findFavourites();
                    pageStack.push(favpage);
                    }
                    if(settingsNumber===3){
                    findEnabled();
                    if(locenabled===1){
                    locationEnable(0);
                    positionSource.active=false;
                    positionSource.stop();
                    settingsModel.setProperty(2, "settingsName", "Enable Location Data");
                    }
                    else {
                    locationEnable(1);
                    positionSource.start();
                    positionSource.active=true;
                    settingsModel.setProperty(2, "settingsName", "Disable Location Data");
                    }

                    enableDialog.open();

                    }

                    if(settingsNumber===4){
                    pageStack.push(sendreview);
                    }
                    if(settingsNumber===5){
                    pageStack.push(about);
                    }
                    if(settingsNumber===6){
                    pageStack.push(help);
                    }
                }
            }
            states: [
                State {
                    name: "selected"
                    when: (settingsNumber==selectedsettingsNumber)
                    PropertyChanges {target: settingsDelegateRectangle; color: "#ff9900"}
                }
            ]
        }
    }

    ListView {
        id: settinglist
        width: parent.width
        anchors.bottomMargin: 0
        anchors.top: rectangle1.bottom
        anchors.right: parent.right
        anchors.bottom: toolbar.top
        anchors.left: parent.left
        anchors.topMargin: 66
        model: settingsModel
        delegate: settingsDelegate


    }


    Rectangle {
       id: toolbar
       anchors.right: parent.right
       anchors.rightMargin: 2
       anchors.left: parent.left
       anchors.leftMargin: 2
       anchors.bottom: parent.bottom
       anchors.bottomMargin: 0
       opacity: 1
       height:60
       color: "#000000"
       border.color: "#ffffff"
       z: 1

       Rectangle {
           id: back
           width:parent.height
           color: "#000000"
           anchors.left: parent.left
           anchors.leftMargin: 2
           anchors.bottom: parent.bottom
           anchors.bottomMargin: 3
           anchors.top: parent.top
           anchors.topMargin: 3

           Image {
               id: backicon
               anchors.fill: parent
               fillMode: Image.PreserveAspectFit
               source: "icons/back.svg"
           }

           MouseArea {
               id: back_mouse_area
               anchors.leftMargin: 0
               anchors.fill: parent
               onClicked: {
                   mappage.findEnabled();
                   pageStack.push(mappage);
               }
       }
       }

       Rectangle {
           id: homerect
           width: 50
           color: "#000000"
           anchors.bottom: parent.bottom
           anchors.bottomMargin: 2
           anchors.top: parent.top
           anchors.topMargin: 2
           anchors.right: parent.right
           anchors.rightMargin: 2

           Image {
               id: homeicon
               fillMode: Image.PreserveAspectFit
               anchors.fill: parent
               source: "icons/home.svg"
           }

           MouseArea {
               id: home_mouse_area
               anchors.fill: parent
               onClicked: {
                   mappage.findEnabled();
                   pageStack.push(mappage);
               }

           }

       }


   }


StatusBar {
    id: statusbar1
    height: 40
    anchors.top: parent.top
    anchors.topMargin: 0
    anchors.right: parent.right
    anchors.rightMargin: 0
    anchors.left: parent.left
    anchors.leftMargin: 0
}
Rectangle{
    id: rectangle1
    anchors.top: statusbar1.bottom
    anchors.topMargin: 0
    anchors.right: parent.right
    anchors.rightMargin: 0
    anchors.left: parent.left
    anchors.leftMargin: 0
    height:text1.height
    color:"#1fc60d"



Text {
    id: text1
    color: "#ffffff"
    text: qsTr("Settings")
    anchors.left: parent.left
    anchors.leftMargin: 5

    font.bold: true
    font.family: "Tahoma"
    font.pixelSize: 18
}


}
Component.onCompleted: {

    findEnabled();
}

}
